//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vJAXB 2.1.10 in JDK 6 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2011.02.14 at 01:38:06 PM MEZ 
//


package info.textgrid.lab.workflow.servicedescription;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11}descriptivedata"/>
 *         &lt;element ref="{http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11}technicaldata"/>
 *         &lt;element ref="{http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11}inputs"/>
 *         &lt;element ref="{http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11}outputs"/>
 *         &lt;element ref="{http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11}configparameters"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "descriptivedata",
    "technicaldata",
    "inputs",
    "outputs",
    "configparameters"
})
@XmlRootElement(name = "service")
public class Service {

    @XmlElement(required = true)
    protected Descriptivedata descriptivedata;
    @XmlElement(required = true)
    protected Technicaldata technicaldata;
    @XmlElement(required = true)
    protected Inputs inputs;
    @XmlElement(required = true)
    protected Outputs outputs;
    @XmlElement(required = true)
    protected Configparameters configparameters;

    /**
     * Gets the value of the descriptivedata property.
     * 
     * @return
     *     possible object is
     *     {@link Descriptivedata }
     *     
     */
    public Descriptivedata getDescriptivedata() {
        return descriptivedata;
    }

    /**
     * Sets the value of the descriptivedata property.
     * 
     * @param value
     *     allowed object is
     *     {@link Descriptivedata }
     *     
     */
    public void setDescriptivedata(Descriptivedata value) {
        this.descriptivedata = value;
    }

    /**
     * Gets the value of the technicaldata property.
     * 
     * @return
     *     possible object is
     *     {@link Technicaldata }
     *     
     */
    public Technicaldata getTechnicaldata() {
        return technicaldata;
    }

    /**
     * Sets the value of the technicaldata property.
     * 
     * @param value
     *     allowed object is
     *     {@link Technicaldata }
     *     
     */
    public void setTechnicaldata(Technicaldata value) {
        this.technicaldata = value;
    }

    /**
     * Gets the value of the inputs property.
     * 
     * @return
     *     possible object is
     *     {@link Inputs }
     *     
     */
    public Inputs getInputs() {
        return inputs;
    }

    /**
     * Sets the value of the inputs property.
     * 
     * @param value
     *     allowed object is
     *     {@link Inputs }
     *     
     */
    public void setInputs(Inputs value) {
        this.inputs = value;
    }

    /**
     * Gets the value of the outputs property.
     * 
     * @return
     *     possible object is
     *     {@link Outputs }
     *     
     */
    public Outputs getOutputs() {
        return outputs;
    }

    /**
     * Sets the value of the outputs property.
     * 
     * @param value
     *     allowed object is
     *     {@link Outputs }
     *     
     */
    public void setOutputs(Outputs value) {
        this.outputs = value;
    }

    /**
     * Gets the value of the configparameters property.
     * 
     * @return
     *     possible object is
     *     {@link Configparameters }
     *     
     */
    public Configparameters getConfigparameters() {
        return configparameters;
    }

    /**
     * Sets the value of the configparameters property.
     * 
     * @param value
     *     allowed object is
     *     {@link Configparameters }
     *     
     */
    public void setConfigparameters(Configparameters value) {
        this.configparameters = value;
    }

}
